> For the complete documentation index, see [llms.txt](https://doc.xendbridge.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.xendbridge.com/reference/api-reference.md).

# API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation.

## Orders

All the methods associated with `CRUD`ing orders. Which isn't as weird as it sounds:

{% content-ref url="/pages/zij8pudkgQAnIdcvnTUu" %}
[Buy Order](/api-method-calls/third-party-order-operations/buy-order.md)
{% endcontent-ref %}

{% content-ref url="/pages/Y0P6PGNW8v3hMnbDIn8a" %}
[Sell Order](/api-method-calls/third-party-order-operations/sell-order.md)
{% endcontent-ref %}

{% content-ref url="/pages/tx681KKPrrcDxymdcTkW" %}
[Swap Order](/api-method-calls/third-party-order-operations/swap-order.md)
{% endcontent-ref %}

{% content-ref url="/pages/8obH6taZe4WUzX1Ay6fu" %}
[Rate](/api-method-calls/third-party-order-operations/rate.md)
{% endcontent-ref %}

{% content-ref url="/pages/ACAkSPRzMBHEP5arYndc" %}
[Pending Order](/api-method-calls/third-party-order-operations/pending-order.md)
{% endcontent-ref %}

{% content-ref url="/pages/bRWAHmwl6q6dSoALgOc9" %}
[Pay For Order](/api-method-calls/third-party-order-operations/pay-for-order.md)
{% endcontent-ref %}

{% content-ref url="/pages/PSnIEOhFvmY94eLDktsa" %}
[Cancel Order](/api-method-calls/third-party-order-operations/cancel-order.md)
{% endcontent-ref %}

## LP Simulation

All the methods associated with simulating as a liquidity provider.

{% content-ref url="/pages/b40XFU0yJVlOj5FHvFsk" %}
[Pay For Order (Buy Order)](/api-method-calls/lp-simulation/pay-for-order-buy-order.md)
{% endcontent-ref %}

{% content-ref url="/pages/kkzKRLfykGdjOWDQIyQv" %}
[Pay For Order (Sell Order)](/api-method-calls/lp-simulation/pay-for-order-sell-order.md)
{% endcontent-ref %}

### Disputes

All the methods associated with `CRUD`ing disputes on orders and also connecting users to a chat hub.

{% content-ref url="/pages/NeanuJfTHkP4mejgp3UX" %}
[Raise Third Party Dispute](/api-method-calls/dispute/raise-third-party-dispute.md)
{% endcontent-ref %}

{% content-ref url="/pages/fFeAh4wabW7MUnqLQjGn" %}
[Get All Disputes](/api-method-calls/dispute/get-all-disputes.md)
{% endcontent-ref %}

{% content-ref url="/pages/07lFRYym4bgR737exswV" %}
[XendBridge Chat SDK](/api-method-calls/dispute/xendbridge-chat-sdk.md)
{% endcontent-ref %}

### Webhook

All the methods associated with `CRUD`ing webhooks.

{% content-ref url="/pages/YMeaiPUx3afkBpL4IA6y" %}
[Order Payment Confirmation](/api-method-calls/webhooks/order-payment-confirmation.md)
{% endcontent-ref %}

{% content-ref url="/pages/XkLSTVxX8UtOuysf0cht" %}
[Order Matched Notification](/api-method-calls/webhooks/order-matched-notification.md)
{% endcontent-ref %}

{% content-ref url="/pages/VfyljgnT9R75Z61tjeFc" %}
[Order Canceled Notification](/api-method-calls/webhooks/order-canceled-notification.md)
{% endcontent-ref %}

{% content-ref url="/pages/Swm6m1KwOIesoD3EP9na" %}
[Checksum Verification](/api-method-calls/webhooks/checksum-verification.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.xendbridge.com/reference/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
